/* Copyright (c) 2012 Andy McDonald. All rights reserved. */
/* Please refer to licence.txt for licensing terms. */

pref("foxclocks.watchlist", '<Watchlist><WatchlistItem><Location><Zone id="Europe/London"/><Coordinates latitude="51.475" longitude="-0.3125"/></Location><Style><Statusbar visible="true" showflag="true"><UsualState colour="" bold="false" italic="false" underline="false"/><AlternateState enabled="false" colour="#660000" starttime="1020" endtime="540"/></Statusbar><StatusbarTooltip visible="true"/></Style></WatchlistItem><WatchlistItem><Location><Zone id="America/Los_Angeles"/></Location><Style><Statusbar visible="true" showflag="true"><UsualState colour="" bold="false" italic="false" underline="false"/><AlternateState enabled="false" colour="#660000" starttime="1020" endtime="540"/></Statusbar><StatusbarTooltip visible="true"/></Style></WatchlistItem><WatchlistItem><Location><Zone id="Asia/Hong_Kong"/><Coordinates latitude="22.28333" longitude="114.15"/></Location><Style><Statusbar visible="true" showflag="true"><UsualState colour="" bold="false" italic="false" underline="false"/><AlternateState enabled="false" colour="#660000" starttime="1020" endtime="540"/></Statusbar><StatusbarTooltip visible="true" showflag="false"/></Style></WatchlistItem></Watchlist>');

pref("foxclocks.format.clock.standard", "chrome://foxclocks/locale/defaults.properties");
pref("foxclocks.format.clock.custom", "chrome://foxclocks/locale/defaults.properties");
pref("foxclocks.format.tooltip.standard", "chrome://foxclocks/locale/defaults.properties");
pref("foxclocks.format.tooltip.custom", "chrome://foxclocks/locale/defaults.properties");
pref("foxclocks.format.foxclocks.standard", "chrome://foxclocks/locale/defaults.properties");
pref("foxclocks.format.foxclocks.custom", "chrome://foxclocks/locale/defaults.properties");

pref("foxclocks.clock.containertype", "fc-clock-containertype-statusbar");
pref("foxclocks.clock.style", "fc-clock-style-clocks");

// AFM - these two preferences are actually statusbar-specific
//
pref("foxclocks.clock.position.relative", "fc-clock-position-left");
pref("foxclocks.clock.position.specific.hidden", true); // AFM - no UI

// AFM - global clock preferences: fc-per-clock, fc-all-clocks, fc-no-clocks
//
pref("foxclocks.clock.bar.clock.global.showflag", "fc-per-clock"); // AFM - no UI
pref("foxclocks.clock.tooltip.clock.global.showflag", "fc-all-clocks");
pref("foxclocks.clock.foxclocks.clock.global.showflag", "fc-all-clocks"); // AFM - no UI

pref("foxclocks.clock.bar.clock.new.visible", true);
pref("foxclocks.clock.bar.clock.new.showflag", true);
pref("foxclocks.clock.tooltip.clock.new.visible", true);
pref("foxclocks.clock.tooltip.clock.new.showflag", true); // AFM - no UI

pref("foxclocks.data.update.auto.enabled", true);
pref("foxclocks.data.update.auto.interval", 604800); // AFM - no UI
pref("foxclocks.data.update.auto.alert.enabled", true);
pref("foxclocks.data.update.noserver.updateurl", ""); // AFM - no UI

pref("foxclocks.logging.tmpfile.enabled", false); // AFM - no UI
pref("foxclocks.logging.level", 1); // AFM - no UI
pref("foxclocks.zonepicker.dataurl", "fc-zonepicker-dataurl-builtin"); // AFM - no UI
pref("foxclocks.toolbar.menuitem.hidden", false);
pref("foxclocks.watchlist.remove.confirm.enabled", true);

// AFM - internal prefs - no UI
//
pref("extensions.{d37dc5d0-431d-44e5-8c91-49419370caa1}.description", "chrome://foxclocks/locale/defaults.properties");
pref("extensions.{d37dc5d0-431d-44e5-8c91-49419370caa1}.prevrun.version", "");
pref("extensions.{d37dc5d0-431d-44e5-8c91-49419370caa1}.data.update.prevupdate", 0);
pref("extensions.{d37dc5d0-431d-44e5-8c91-49419370caa1}.statusbar.forceshow", true);

//AFM - pref syncing - all foxclocks.* prefs
//
pref("services.sync.prefs.sync.foxclocks.watchlist", true);
pref("services.sync.prefs.sync.foxclocks.format.clock.standard", true);
pref("services.sync.prefs.sync.foxclocks.format.clock.custom", true);
pref("services.sync.prefs.sync.foxclocks.format.tooltip.standard", true);
pref("services.sync.prefs.sync.foxclocks.format.tooltip.custom", true);
pref("services.sync.prefs.sync.foxclocks.format.foxclocks.standard", true);
pref("services.sync.prefs.sync.foxclocks.format.foxclocks.custom", true);
pref("services.sync.prefs.sync.foxclocks.clock.containertype", true);
pref("services.sync.prefs.sync.foxclocks.clock.style", true);
pref("services.sync.prefs.sync.foxclocks.clock.position.relative", true);
pref("services.sync.prefs.sync.foxclocks.clock.position.specific.hidden", true);
pref("services.sync.prefs.sync.foxclocks.clock.bar.clock.global.showflag", true);
pref("services.sync.prefs.sync.foxclocks.clock.tooltip.clock.global.showflag", true);
pref("services.sync.prefs.sync.foxclocks.clock.foxclocks.clock.global.showflag", true);
pref("services.sync.prefs.sync.foxclocks.clock.bar.clock.new.visible", true);
pref("services.sync.prefs.sync.foxclocks.clock.bar.clock.new.showflag", true);
pref("services.sync.prefs.sync.foxclocks.clock.tooltip.clock.new.visible", true);
pref("services.sync.prefs.sync.foxclocks.clock.tooltip.clock.new.showflag", true);
pref("services.sync.prefs.sync.foxclocks.data.update.auto.enabled", true);
pref("services.sync.prefs.sync.foxclocks.data.update.auto.interval", true);
pref("services.sync.prefs.sync.foxclocks.data.update.auto.alert.enabled", true);
pref("services.sync.prefs.sync.foxclocks.data.update.noserver.updateurl", true);
pref("services.sync.prefs.sync.foxclocks.logging.tmpfile.enabled", true);
pref("services.sync.prefs.sync.foxclocks.logging.level", true);
pref("services.sync.prefs.sync.foxclocks.foxclocks.zonepicker.dataurl", true);
pref("services.sync.prefs.sync.foxclocks.toolbar.menuitem.hidden", true);
pref("services.sync.prefs.sync.foxclocks.watchlist.remove.confirm.enabled", true);